"""Initial creation

Revision ID: 047a8383cdf1
Revises: 
Create Date: 2024-05-15 22:16:29.684146

"""
from typing import Sequence, Union

from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision: str = '047a8383cdf1'
down_revision: Union[str, None] = None
branch_labels: Union[str, Sequence[str], None] = None
depends_on: Union[str, Sequence[str], None] = None


def upgrade() -> None:
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table('user',
    sa.Column('id', sa.Uuid(), nullable=False),
    sa.Column('login_name', sa.String(), nullable=False),
    sa.Column('hashed_password', sa.String(), nullable=False),
    sa.Column('name', sa.String(), nullable=False),
    sa.Column('email', sa.String(), nullable=False),
    sa.Column('is_admin', sa.Boolean(), nullable=False),
    sa.Column('is_active', sa.Boolean(), nullable=False),
    sa.Column('must_change_password', sa.Boolean(), nullable=False),
    sa.Column('avatar', sa.String(), nullable=True),
    sa.Column('created_unix', sa.BigInteger(), nullable=False),
    sa.PrimaryKeyConstraint('id')
    )
    op.create_table('fs_entity',
    sa.Column('id', sa.BigInteger(), nullable=False),
    sa.Column('owner_id', sa.Uuid(), nullable=False),
    sa.Column('parent_id', sa.BigInteger(), nullable=False),
    sa.Column('created_unix', sa.BigInteger(), nullable=False),
    sa.Column('updated_unix', sa.BigInteger(), nullable=False),
    sa.Column('name', sa.String(), nullable=False),
    sa.Column('is_private', sa.Boolean(), nullable=False),
    sa.Column('is_root', sa.Boolean(), nullable=False),
    sa.Column('is_file', sa.Boolean(), nullable=False),
    sa.ForeignKeyConstraint(['owner_id'], ['user.id'], ondelete='CASCADE'),
    sa.PrimaryKeyConstraint('id')
    )
    op.create_table('link',
    sa.Column('id', sa.BigInteger(), nullable=False),
    sa.Column('entity_id', sa.BigInteger(), nullable=False),
    sa.Column('created_unix', sa.BigInteger(), nullable=False),
    sa.Column('is_public', sa.Boolean(), nullable=False),
    sa.ForeignKeyConstraint(['entity_id'], ['fs_entity.id'], ondelete='CASCADE'),
    sa.PrimaryKeyConstraint('id')
    )
    # ### end Alembic commands ###


def downgrade() -> None:
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_table('link')
    op.drop_table('fs_entity')
    op.drop_table('user')
    # ### end Alembic commands ###
